<?php
$nt = explode(".", $_POST['Bezahlt_am']);
$Datum = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
if (3 != sizeof($nt))
{
	echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
	echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
}
else
{
	if (4 != strlen($nt['2']))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
	}
	else
	{
		if (checkdate($nt['1'], $nt['0'], $nt['2']))
		{
			$sql = 'UPDATE ' . PREFIX . '_Gutschriften SET
						Bezahlt 	= "1",
						Bezahlt_am	= "' . $Datum . '"
					WHERE
						(Jahr 		= "' . $_POST['Jahr'] . '"
					AND
						ID 			= "' . $_POST['ID'] . '");';
			$stmt = $db->prepare($sql);
			if (!$stmt)
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
			}
			if (!$stmt->execute())
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
			}
			$sql = "SELECT * FROM " . PREFIX . "_Gutschriften WHERE (Jahr = \"" . $_POST['Jahr'] . "\" AND ID = \"" . $_POST['ID'] . "\");";
			$result = $db->query($sql);
			$nt = $result->fetch_assoc();
			$sqlk = "SELECT Firma, Nachname FROM " . PREFIX . "_Kontakte WHERE ID = \"" . $nt['Kontakt_ID'] . "\";";
			$resultk = $db->query($sqlk);
			$ntk = $resultk->fetch_assoc();
			if ("" != $ntk['Firma'])
			{
				$Kontakt = $ntk['Firma'];
			}
			else
			{
				$Kontakt = $ntk['Nachname'];
			}
			while (strlen($nt['ID']) < $_SESSION['Firma']['Stellen'])
			{
				$nt['ID'] = "0" . $nt['ID'];
			}
			$sql = 'INSERT INTO ' . PREFIX . '_Eingang (Jahr, ID, Kontakt, Re_Nr, Re_Datum, Preis, MwSt, Bezahlt_am) VALUES (' . date("Y", strtotime($Datum)) . ', NULL, "' . $Kontakt . '", "' . $nt['Jahr'] . '_' . $nt['ID'] . '", "' . $nt['Datum'] . '", "' . $nt['Preis'] . '", "' . $nt['MwSt'] . '", "' . $Datum . '")';
			$stmt = $db->prepare($sql);
			if (!$stmt)
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
			}
			if (!$stmt->execute())
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
			}
			echo "<h1>Die Gutschrift wurde als <i>Bezahlt am " . $_POST['Bezahlt_am'] . "</i> eingetragen!</h1>";

		}
		else
		{
			echo "<h1>Bitte überprüfen Sie das eingegebene Datum!</h1>\n";
			echo "<h2>Das Datum <i>" . $_POST['Bezahlt_am'] . "</i> existiert nicht!</h2>\n";
		}
	}
}

include __DIR__ . "/eur_gadd.php";